package com.yutou.bilibili.mybatis.dao;

import com.yutou.bilibili.mybatis.model.SConfig;
import com.yutou.bilibili.mybatis.model.SConfigExample;
import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
@Mapper
public interface SConfigDao {
    long countByExample(SConfigExample example);

    int deleteByExample(SConfigExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(SConfig record);

    int insertSelective(SConfig record);

    List<SConfig> selectByExample(SConfigExample example);

    SConfig selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") SConfig record, @Param("example") SConfigExample example);

    int updateByExample(@Param("record") SConfig record, @Param("example") SConfigExample example);

    int updateByPrimaryKeySelective(SConfig record);

    int updateByPrimaryKey(SConfig record);
}